永井@知能.九工大です.

例の Tcl/Tk 拡張パッケージユーティリティも
クラス/モジュール定義(の雛型 (^_^; )自動生成に
とりあえずの完成の目処がたってきたので,
しばらく version-up していなかった ruby-1.1b9_16 から
新しいものに上げようとしました.
...動きません.(;_;)
1.1b9_17 〜 22 すべてダメです.

まず,require 'tk' ですら,
-----------------------------------------------------------
/usr/local/lib/ruby/tk.rb:264: [BUG] Segmentation fault
IOT trap/Abort (core dumped)
-----------------------------------------------------------
となってしまいます.

以前流したユーティリティで,tcltklib を直接用いるものでも,
-----------------------------------------------------------
ruby: can't resolve symbol 'Tk_NameOfFont'
ruby: can't resolve symbol 'Tcl_PushCallFrame'
ruby: can't resolve symbol 'Tk_FreeFont'
ruby: can't resolve symbol 'Tk_UnderlineTextLayout'
ruby: can't resolve symbol 'Tk_ComputeTextLayout'
ruby: can't resolve symbol 'Tk_FontId'
ruby: can't resolve symbol 'Tk_DrawTextLayout'
ruby: can't resolve symbol 'Tcl_PopCallFrame'
ruby: can't resolve symbol 'Tk_FreeTextLayout'
ruby: can't resolve symbol 'Tk_GetFont'
ruby: can't resolve symbol 'Tcl_CreateNamespace'
./tcltkextlib.rb:45:in `_eval': couldn't load file "libtix4.1.8.0.so": Unable to resolve symbol (RuntimeError)
        from ./tcltkextlib.rb:45:in `_eval'
        from ./tcltkextlib.rb:65:in `eval'
        from ./tcltkextlib.rb:176:in `_load_shared_lib'
        from ./tcltkextlib.rb:220:in `setup_libs'
        from ./tcltkextlib.rb:216:in `each'
        from ./tcltkextlib.rb:216:in `setup_libs'
        from ./tcltkextlib.rb:275:in `initialize'
        from ./tcltkextlib.rb:29:in `new'
        from ./tcltkextlib.rb:29:in `new'
        from tcltkextlib-test.rb:10
-----------------------------------------------------------
という調子です ( ruby-1.1b9_16 では動いています ).

tcltklib を直接用いるシンプルなものとして,
-----------------------------------------------------------
require 'tcltklib'
ip = TclTkIp.new
p ip._invoke('info','tclversion')
-----------------------------------------------------------
というのを試してみた場合,ruby-1.1b9_16 では動いて
-----------------------------------------------------------
"8.0"
-----------------------------------------------------------
と返して来ますが,ruby-1.1b9_17 では
-----------------------------------------------------------
-:3: [BUG] Segmentation fault
IOT trap/Abort (core dumped)
-----------------------------------------------------------
ruby-1.1b9_22 では
-----------------------------------------------------------
Illegal instruction (core dumped)
-----------------------------------------------------------
となってダメです.

原因に心あたりはありますでしょうか?

P.S.
Tcl/Tk 拡張パッケージユーティリティですが,
うまく動くようになったら in.coming に置いてもかまいませんか?

-- 
                                         永井 秀利 (九工大 知能情報)
                                             nagai / ai.kyutech.ac.jp